c++-gtk-utils

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Cgu::Thread::CancelBlock Member List

This is the complete list of members for Cgu::Thread::CancelBlock, including all inherited members.

block(int &old_state) | Cgu::Thread::CancelBlock | inline static
block() | Cgu::Thread::CancelBlock | inline static
CancelBlock(const CancelBlock &)=delete | Cgu::Thread::CancelBlock |
CancelBlock(bool blocking=true) | Cgu::Thread::CancelBlock |
operator=(const CancelBlock &)=delete | Cgu::Thread::CancelBlock |
restore(int &old_state) | Cgu::Thread::CancelBlock | inline
restore() | Cgu::Thread::CancelBlock | inline
unblock(int &old_state) | Cgu::Thread::CancelBlock | inline static
unblock() | Cgu::Thread::CancelBlock | inline static
~CancelBlock() | Cgu::Thread::CancelBlock | inline